libzypp: zypp::repo::ServiceType Struct Reference

libzypp 17.38.11

zypp::repo::ServiceType Struct Reference

Service type enumeration. More...

`#include <zypp/repo/ServiceType.h>`

## Public Types
enum | Type { NONE_e , RIS_e , PLUGIN_e }

## Public Member Functions
| ServiceType ()
| ServiceType (Type type)
| ServiceType (const std::string &strval_r)
Type | toEnum () const
ServiceType::Type | parse (const std::string &strval_r)
const std::string & | asString () const

## Public Attributes
Type | _type

## Static Public Attributes
static const ServiceType RIS | ZYPP_API
| Repository Index Service (RIS) (formerly known as 'Novell Update' (NU) service).
static const ServiceType NONE | ZYPP_API
| No service set.
static const ServiceType PLUGIN | ZYPP_API
| Plugin services are scripts installed on your system that provide the package manager with repositories.

## Detailed Description

Service type enumeration.

Currently we have only RIS service, but more can come later.

Definition at line 26 of file ServiceType.h.

## Member Enumeration Documentation

## ◆ Type

enum zypp::repo::ServiceType::Type

Enumerator
NONE_e |
RIS_e |
PLUGIN_e |

Definition at line 45 of file ServiceType.h.

## Constructor & Destructor Documentation

## ◆ ServiceType() [1/3]

zypp::repo::ServiceType::ServiceType | ( |  | ) |
| inline

Definition at line 52 of file ServiceType.h.

## ◆ ServiceType() [2/3]

zypp::repo::ServiceType::ServiceType | ( | Type | type | ) |
| inline

Definition at line 54 of file ServiceType.h.

## ◆ ServiceType() [3/3]

zypp::repo::ServiceType::ServiceType | ( | const std::string & | strval_r | ) |
| explicit

Definition at line 41 of file ServiceType.cc.

## Member Function Documentation

## ◆ toEnum()

Type zypp::repo::ServiceType::toEnum | ( |  | ) | const
| inline

Definition at line 58 of file ServiceType.h.

## ◆ parse()

ServiceType::Type zypp::repo::ServiceType::parse | ( | const std::string & | strval_r | ) |

Definition at line 45 of file ServiceType.cc.

## ◆ asString()

const std::string & zypp::repo::ServiceType::asString | ( |  | ) | const

Definition at line 55 of file ServiceType.cc.

## Member Data Documentation

## ◆ ZYPP_API [1/3]

const ServiceType RIS zypp::repo::ServiceType::ZYPP_API
| static

Repository Index Service (RIS) (formerly known as 'Novell Update' (NU) service).

Definition at line 32 of file ServiceType.h.

## ◆ ZYPP_API [2/3]

const ServiceType NONE zypp::repo::ServiceType::ZYPP_API
| static

No service set.

Definition at line 34 of file ServiceType.h.

## ◆ ZYPP_API [3/3]

const ServiceType PLUGIN zypp::repo::ServiceType::ZYPP_API
| static

Plugin services are scripts installed on your system that provide the package manager with repositories.

The mechanism used to create this repository list is completely up to the script

Definition at line 43 of file ServiceType.h.

## ◆ _type

Type zypp::repo::ServiceType::_type

Definition at line 64 of file ServiceType.h.

The documentation for this struct was generated from the following files:

- zypp/repo/ServiceType.h
- zypp/repo/ServiceType.cc